import matplotlib.pyplot as plt
import seaborn as sns
import pandas as pd

sns.set_style("darkgrid")
df = sns.load_dataset("mpg")
df_usa_jp = df[df['origin'] != 'europe']
sns.lineplot(x='model_year', y='horsepower', hue='origin',
             palette={'usa': 'r', 'japan': 'b'},
             hue_order=['japan', 'usa'], data=df_usa_jp)

plt.show()
